summaryrefslogtreecommitdiffstats
path: root/desktop/lxpanel/lxpanel.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/lxpanel/lxpanel.SlackBuild')
-rw-r--r--desktop/lxpanel/lxpanel.SlackBuild14
1 files changed, 8 insertions, 6 deletions
diff --git a/desktop/lxpanel/lxpanel.SlackBuild b/desktop/lxpanel/lxpanel.SlackBuild
index d1fd7184d5..2e16ffb833 100644
--- a/desktop/lxpanel/lxpanel.SlackBuild
+++ b/desktop/lxpanel/lxpanel.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for lxpanel
# (C) 2008 Michael Wagner <lapinours@web.de>
-# Copyright 2011-2021 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# Copyright 2011-2024 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -28,7 +28,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=lxpanel
-VERSION=${VERSION:-0.10.1}
+VERSION=${VERSION:-20230918_633a2d4}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -41,9 +41,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -67,6 +64,8 @@ else
LIBDIRSUFFIX=""
fi
+WITHGTK3="--enable-gtk3" ; [ "${GTK3:-yes}" = "no" ] && WITHGTK3=""
+
DOCS="AUTHORS COPYING ChangeLog README"
set -e
@@ -84,7 +83,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-sh autogen.sh || true
+for i in $CWD/patches/* ; do patch -p1 < $i ; done
+
+./autogen.sh || true
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -99,6 +100,7 @@ CXXFLAGS="$SLKCFLAGS" \
--program-suffix= \
--with-plugins=all \
--disable-silent-rules \
+ $WITHGTK3 \
--build=$ARCH-slackware-linux
make